Yay only one operation can be called at a time

Hello. Search and installation of something does not work. What to do, please tell me?

yay -S mysql-workbench                                                                            
 -> только одна операция может быть вызвана за один раз
 yay -Ss mysql-workbench                                                                                
 -> только одна операция может быть вызвана за один раз

System:
  Kernel: 6.6.34-1-MANJARO arch: x86_64 bits: 64 compiler: gcc v: 14.1.1
    clocksource: tsc avail: hpet,acpi_pm
    parameters: BOOT_IMAGE=/@/boot/vmlinuz-6.6-x86_64
    root=UUID=31e79652-d999-49a0-a894-d32dbe968c86 rw rootflags=subvol=@
    nvidia-drm.modeset=1 quiet splash udev.log_priority=3
  Desktop: KDE Plasma v: 6.0.5 tk: Qt v: N/A info: frameworks v: 6.3.0
    wm: kwin_x11 vt: 2 dm: SDDM Distro: Manjaro base: Arch Linux
Machine:
  Type: Desktop Mobo: ASRock model: Z170M Pro4S serial: <superuser required>
    uuid: <superuser required> UEFI: American Megatrends v: P7.00
    date: 09/23/2016
CPU:
  Info: model: Intel 0000 bits: 64 type: MT MCP arch: Skylake-S level: v3
    note: check built: 2015 process: Intel 14nm family: 6 model-id: 0x5E (94)
    stepping: 1 microcode: 0x1D
  Topology: cpus: 1x cores: 4 tpc: 2 threads: 8 smt: enabled cache:
    L1: 256 KiB desc: d-4x32 KiB; i-4x32 KiB L2: 1024 KiB desc: 4x256 KiB
    L3: 8 MiB desc: 1x8 MiB
  Speed (MHz): avg: 2519 high: 2564 min/max: 800/2600 scaling:
    driver: intel_pstate governor: powersave cores: 1: 2564 2: 2558 3: 2474
    4: 2480 5: 2480 6: 2541 7: 2560 8: 2495 bogomips: 35210
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
  Vulnerabilities:
  Type: gather_data_sampling status: Vulnerable: No microcode
  Type: itlb_multihit status: KVM: VMX disabled
  Type: l1tf mitigation: PTE Inversion; VMX: conditional cache flushes, SMT
    vulnerable
  Type: mds status: Vulnerable: Clear CPU buffers attempted, no microcode;
    SMT vulnerable
  Type: meltdown mitigation: PTI
  Type: mmio_stale_data status: Vulnerable: Clear CPU buffers attempted, no
    microcode; SMT vulnerable
  Type: reg_file_data_sampling status: Not affected
  Type: retbleed status: Vulnerable
  Type: spec_rstack_overflow status: Not affected
  Type: spec_store_bypass status: Vulnerable
  Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer
    sanitization
  Type: spectre_v2 mitigation: Retpolines; STIBP: disabled; RSB filling;
    PBRSB-eIBRS: Not affected; BHI: Not affected
  Type: srbds status: Vulnerable: No microcode
  Type: tsx_async_abort status: Vulnerable: Clear CPU buffers attempted, no
    microcode; SMT vulnerable
Graphics:
  Device-1: NVIDIA GP106 [GeForce GTX 1060 6GB] driver: nvidia v: 550.90.07
    alternate: nouveau,nvidia_drm non-free: 545.xx+ status: current (as of
    2024-06; EOL~2026-12-xx) arch: Pascal code: GP10x process: TSMC 16nm
    built: 2016-2021 pcie: gen: 2 speed: 5 GT/s lanes: 16 ports: active: none
    off: DP-1 empty: DVI-D-1,DVI-D-2,HDMI-A-1 bus-ID: 01:00.0
    chip-ID: 10de:1c03 class-ID: 0300
  Display: x11 server: X.Org v: 21.1.13 with: Xwayland v: 24.1.0
    compositor: kwin_x11 driver: X: loaded: nvidia gpu: nvidia,nvidia-nvswitch
    display-ID: :0 screens: 1
  Screen-1: 0 s-res: 1920x1080 s-dpi: 92 s-size: 530x301mm (20.87x11.85")
    s-diag: 610mm (24")
  Monitor-1: DP-1 mapped: DP-0 note: disabled model: Philips PHL 242E1GJ
    serial: <filter> built: 2021 res: 1920x1080 dpi: 93 gamma: 1.2
    size: 527x296mm (20.75x11.65") diag: 604mm (23.8") ratio: 16:9 modes:
    max: 1920x1080 min: 640x480
  API: EGL v: 1.5 hw: drv: nvidia platforms: device: 0 drv: nvidia device: 2
    drv: swrast gbm: drv: nvidia surfaceless: drv: nvidia x11: drv: nvidia
    inactive: wayland,device-1
  API: OpenGL v: 4.6.0 compat-v: 4.5 vendor: nvidia mesa v: 550.90.07
    glx-v: 1.4 direct-render: yes renderer: NVIDIA GeForce GTX 1060 6GB/PCIe/SSE2
    memory: 5.86 GiB
  API: Vulkan v: 1.3.279 layers: 7 device: 0 type: discrete-gpu name: NVIDIA
    GeForce GTX 1060 6GB driver: nvidia v: 550.90.07 device-ID: 10de:1c03
    surfaces: xcb,xlib
Audio:
  Device-1: Intel 100 Series/C230 Series Family HD Audio vendor: ASRock
    driver: snd_hda_intel v: kernel alternate: snd_soc_avs bus-ID: 00:1f.3
    chip-ID: 8086:a170 class-ID: 0403
  Device-2: NVIDIA GP106 High Definition Audio driver: snd_hda_intel
    v: kernel pcie: gen: 2 speed: 5 GT/s lanes: 16 bus-ID: 01:00.1
    chip-ID: 10de:10f1 class-ID: 0403
  Device-3: C-Media USB Audio Device driver: hid-generic,snd-usb-audio,usbhid
    type: USB rev: 1.1 speed: 12 Mb/s lanes: 1 mode: 1.1 bus-ID: 1-9:6
    chip-ID: 0d8c:0012 class-ID: 0300
  API: ALSA v: k6.6.34-1-MANJARO status: kernel-api with: aoss
    type: oss-emulator tools: alsactl,alsamixer,amixer
  Server-1: JACK v: 1.9.22 status: off tools: N/A
  Server-2: PipeWire v: 1.0.7 status: active with: 1: pipewire-pulse
    status: active 2: wireplumber status: active 3: pipewire-alsa type: plugin
    tools: pactl,pw-cat,pw-cli,wpctl
Network:
  Device-1: Intel Ethernet I219-V vendor: ASRock driver: e1000e v: kernel
    port: N/A bus-ID: 00:1f.6 chip-ID: 8086:15b8 class-ID: 0200
  IF: enp0s31f6 state: down mac: <filter>
  Device-2: Ralink MT7601U Wireless Adapter driver: mt7601u type: USB
    rev: 2.0 speed: 480 Mb/s lanes: 1 mode: 2.0 bus-ID: 1-13:7 chip-ID: 148f:7601
    class-ID: 0000 serial: <filter>
  IF: wlp0s20f0u13 state: up mac: <filter>
  Info: services: NetworkManager, smbd, systemd-timesyncd, wpa_supplicant
Bluetooth:
  Device-1: Realtek Bluetooth Radio driver: btusb v: 0.8 type: USB rev: 1.1
    speed: 12 Mb/s lanes: 1 mode: 1.1 bus-ID: 1-3:3 chip-ID: 0bda:8771
    class-ID: e001 serial: <filter>
  Report: rfkill ID: hci0 rfk-id: 1 state: up address: see --recommends
Drives:
  Local Storage: total: 1.59 TiB used: 907.41 GiB (55.6%)
  SMART Message: Unable to run smartctl. Root privileges required.
  ID-1: /dev/sda maj-min: 8:0 vendor: Apacer model: AS350 512GB
    size: 476.94 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
    tech: SSD serial: <filter> fw-rev: 5PE0 scheme: GPT
  ID-2: /dev/sdb maj-min: 8:16 vendor: KingDian model: S280 240GB
    size: 223.57 GiB block-size: physical: 512 B logical: 512 B speed: 6.0 Gb/s
    tech: SSD serial: <filter> fw-rev: 6A scheme: GPT
  ID-3: /dev/sdc maj-min: 8:32 vendor: Toshiba model: HDWD110
    size: 931.51 GiB block-size: physical: 4096 B logical: 512 B speed: 6.0 Gb/s
    tech: HDD rpm: 7200 serial: <filter> fw-rev: A8J0 scheme: GPT
Partition:
  ID-1: / raw-size: 223.27 GiB size: 223.27 GiB (100.00%)
    used: 117.45 GiB (52.6%) fs: btrfs dev: /dev/sdb2 maj-min: 8:18
  ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
    used: 588 KiB (0.2%) fs: vfat dev: /dev/sdb1 maj-min: 8:17
  ID-3: /home raw-size: 223.27 GiB size: 223.27 GiB (100.00%)
    used: 117.45 GiB (52.6%) fs: btrfs dev: /dev/sdb2 maj-min: 8:18
  ID-4: /var/log raw-size: 223.27 GiB size: 223.27 GiB (100.00%)
    used: 117.45 GiB (52.6%) fs: btrfs dev: /dev/sdb2 maj-min: 8:18
Swap:
  Alert: No swap data was found.
Sensors:
  System Temperatures: cpu: 40.0 C pch: 52.0 C mobo: N/A gpu: nvidia temp: 48 C
  Fan Speeds (rpm): N/A gpu: nvidia fan: 33%
Info:
  Memory: total: 24 GiB available: 23.42 GiB used: 8.97 GiB (38.3%)
  Processes: 385 Power: uptime: 13h 20m states: freeze,mem,disk suspend: deep
    avail: s2idle wakeups: 0 hibernate: platform avail: shutdown, reboot,
    suspend, test_resume image: 9.36 GiB services: org_kde_powerdevil,
    power-profiles-daemon, upowerd Init: systemd v: 256 default: graphical
    tool: systemctl
  Packages: 1569 pm: pacman pkgs: 1534 libs: 385 tools: pamac,yay pm: flatpak
    pkgs: 30 pm: snap pkgs: 5 Compilers: gcc: 14.1.1 Shell: Zsh v: 5.9
    default: Bash v: 5.2.26 running-in: konsole inxi: 3.3.35

Why not use pacman - it is a package from the official repository
yay is not needed.

Re the error message, I found this.
It may apply in your case - or it may not.
It doesn’t hurt to check.

1 Like

I checked it now in Endeavour OS virtual box, yay doesn’t work there either

This is probably a global problem

It doesn’t seem to be.

$ yay -S mysql-workbench                                                                                                                                                                                                                                   
Sync Explicit (1): mysql-workbench-8.0.36-5
resolving dependencies...
looking for conflicting packages...

Packages (4) antlr4-runtime-4.13.1-2  rapidjson-1.1.0-6  vsqlite++-0.3.13-8  mysql-workbench-8.0.36-5

Total Download Size:    23.94 MiB
Total Installed Size:  109.73 MiB

:: Proceed with installation? [Y/n] ^C
Interrupt signal received

https://packages.manjaro.org/?query=yay

Which version of yay do you have?

pacman -Qs yay

# check for aliases
alias | grep install
alias | grep yay
alias | grep pacman

EDIT:

I’m on unstable though.

yay 12.3.5-1

I found what the problem was, in .zshrc I had an alias “alias yay=“yay -Sua””. I commented it out and yay started working, it’s strange why it broke now, I’ve been using this alias for a long time.

That breaks yay. With that alias you can’t use yay without updating AUR packages, and you can’t use another operation. This would be much better:

alias update-aur="yay -Sua"

All I can say for certain is that alias always broke yay.

You must not have used any other operation, including S. Or perhaps you were using pacman or doing it in bash. :man_shrugging:

Those options do not compute/make sense to me

from man yay

-a, --aur
              Assume all targets are from the AUR. Additionally Actions such as sysupgrade will only act on AUR packages.

              Note that dependency resolving will still act normally and include repository packages.
-u, --unvote
              Remove vote from AUR package(s)

However there’s also this:

 EXTENDED PACMAN OPERATIONS
       -S, -Si, -Sl, -Ss, -Su, -Sc, -Qu
              These operations are extended to support both AUR and repo packages

Combine it with -a and you get “update all aur packages”.

I update the system first alias up=“sudo pacman -Syu”.
Further alias yay=“yay -Sua”.
because when you type yay by default it searches both Manjaro repositories and aur packages

yes - what I meant is that the -u and -a switches that you had don’t make sense
(not important now, since you disabled that alias

Agreed, but -Su (update) and -a (aur only) do make sense, they update the AUR packages.

I added alias aur=“yay -Sua” to .zshrc. Thanks for the explanation and help.

then I have looked at the wrong interpretation for -u

1 Like

This topic was automatically closed 36 hours after the last reply. New replies are no longer allowed.